Debian Bug report logs - #637236
FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998

version graph

Package: src:gcc-4.6; Maintainer for src:gcc-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>;

Reported by: Ludovic Brenta <ludovic@ludovic-brenta.org>

Date: Tue, 9 Aug 2011 18:51:05 UTC

Severity: important

Tags: help

Merged with 649307, 683004

Found in version gcc-4.6/4.6.1-3

Fixed in version 4.6.3-12

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Tue, 09 Aug 2011 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 09 Aug 2011 18:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: submit@bugs.debian.org
Subject: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Tue, 09 Aug 2011 20:44:45 +0200
Package: src:gcc-4.6
Version: 4.6.1-3
Severity: serious
Tags: help

From the buildd logs on kfreebsd-amd64[1]:

gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998

I got this error also when building gnat-4.6 on a different buildd[2],
but not on asdfasdf.debian.net, the porter box, where the package builds
fine.  Could this error be specific to the two buildd machines?

[1] https://buildd.debian.org/status/fetch.php?pkg=gcc-4.6&arch=kfreebsd-amd64&ver=4.6.1-6&stamp=1312911887
[2] https://buildd.debian.org/status/fetch.php?pkg=gnat-4.6&arch=kfreebsd-amd64&ver=4.6.1-3&stamp=1312911422

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Tue, 16 Aug 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 16 Aug 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 637236@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 637236@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Tue, 16 Aug 2011 22:33:02 +0200
afaik, this is a buildd issue. any comments?

On 08/09/2011 08:44 PM, Ludovic Brenta wrote:
> Package: src:gcc-4.6
> Version: 4.6.1-3
> Severity: serious
> Tags: help
> 
>>From the buildd logs on kfreebsd-amd64[1]:
> 
> gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
> 
> I got this error also when building gnat-4.6 on a different buildd[2],
> but not on asdfasdf.debian.net, the porter box, where the package builds
> fine.  Could this error be specific to the two buildd machines?
> 
> [1] https://buildd.debian.org/status/fetch.php?pkg=gcc-4.6&arch=kfreebsd-amd64&ver=4.6.1-6&stamp=1312911887
> [2] https://buildd.debian.org/status/fetch.php?pkg=gnat-4.6&arch=kfreebsd-amd64&ver=4.6.1-3&stamp=1312911422
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Tue, 16 Aug 2011 21:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 16 Aug 2011 21:06:20 GMT) Full text and rfc822 format available.

Message #15 received at 637236@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: Ludovic Brenta <ludovic@ludovic-brenta.org>, 637236@bugs.debian.org, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Tue, 16 Aug 2011 23:02:46 +0200
Hi!

Matthias Klose <doko@debian.org> writes:
> afaik, this is a buildd issue. any comments?
>
> On 08/09/2011 08:44 PM, Ludovic Brenta wrote: 
>>>From the buildd logs on kfreebsd-amd64[1]:
>> 
>> gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
>> 
>> I got this error also when building gnat-4.6 on a different buildd[2],
>> but not on asdfasdf.debian.net, the porter box, where the package builds
>> fine.  Could this error be specific to the two buildd machines?
>> 
>> [1] https://buildd.debian.org/status/fetch.php?pkg=gcc-4.6&arch=kfreebsd-amd64&ver=4.6.1-6&stamp=1312911887
>> [2] https://buildd.debian.org/status/fetch.php?pkg=gnat-4.6&arch=kfreebsd-amd64&ver=4.6.1-3&stamp=1312911422

  At least it happens reproducibly on both buildds. Let me see what
happens if I build it locally.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Fri, 19 Aug 2011 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 19 Aug 2011 09:06:11 GMT) Full text and rfc822 format available.

Message #20 received at 637236@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: Ludovic Brenta <ludovic@ludovic-brenta.org>, 637236@bugs.debian.org, "debian-bsd\@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Fri, 19 Aug 2011 11:03:07 +0200
Hi!

Christoph Egger <christoph@debian.org> writes:
> Matthias Klose <doko@debian.org> writes:
>> afaik, this is a buildd issue. any comments?
>>
>> On 08/09/2011 08:44 PM, Ludovic Brenta wrote: 
>>>>From the buildd logs on kfreebsd-amd64[1]:
>>> 
>>> gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
>>> 
>>> I got this error also when building gnat-4.6 on a different buildd[2],
>>> but not on asdfasdf.debian.net, the porter box, where the package builds
>>> fine.  Could this error be specific to the two buildd machines?
>>> 
>>> [1] https://buildd.debian.org/status/fetch.php?pkg=gcc-4.6&arch=kfreebsd-amd64&ver=4.6.1-6&stamp=1312911887
>>> [2] https://buildd.debian.org/status/fetch.php?pkg=gnat-4.6&arch=kfreebsd-amd64&ver=4.6.1-3&stamp=1312911422
>
>   At least it happens reproducibly on both buildds. Let me see what
> happens if I build it locally.

  Hm locally it builds (untill something that looks like a race in the
debian/rules part of install will recover that log later). And running
the build on the same buildd that failed in the same chroot just by hand
and not through buildd also gets way past the failure. Any suggestions
on why it does break from any side welcome ;)

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Mon, 05 Sep 2011 07:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 05 Sep 2011 07:57:09 GMT) Full text and rfc822 format available.

Message #25 received at 637236@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Christoph Egger <christoph@debian.org>, 637236@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Mon, 05 Sep 2011 09:55:30 +0200
On 08/19/2011 11:03 AM, Christoph Egger wrote:
> Hi!
>
> Christoph Egger<christoph@debian.org>  writes:
>> Matthias Klose<doko@debian.org>  writes:
>>> afaik, this is a buildd issue. any comments?
>>>
>>> On 08/09/2011 08:44 PM, Ludovic Brenta wrote:
>>>> > From the buildd logs on kfreebsd-amd64[1]:
>>>>
>>>> gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
>>>>
>>>> I got this error also when building gnat-4.6 on a different buildd[2],
>>>> but not on asdfasdf.debian.net, the porter box, where the package builds
>>>> fine.  Could this error be specific to the two buildd machines?
>>>>
>>>> [1] https://buildd.debian.org/status/fetch.php?pkg=gcc-4.6&arch=kfreebsd-amd64&ver=4.6.1-6&stamp=1312911887
>>>> [2] https://buildd.debian.org/status/fetch.php?pkg=gnat-4.6&arch=kfreebsd-amd64&ver=4.6.1-3&stamp=1312911422
>>
>>    At least it happens reproducibly on both buildds. Let me see what
>> happens if I build it locally.
>
>    Hm locally it builds (untill something that looks like a race in the
> debian/rules part of install will recover that log later). And running
> the build on the same buildd that failed in the same chroot just by hand
> and not through buildd also gets way past the failure. Any suggestions
> on why it does break from any side welcome ;)

gcc-4.6 4.6.1-9 failed again; please give it a manual try again.

thanks, Matthias




Severity set to 'important' from 'serious' Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Thu, 29 Sep 2011 13:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Thu, 29 Sep 2011 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 13:42:04 GMT) Full text and rfc822 format available.

Message #32 received at 637236@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: <637236@bugs.debian.org>, <control@bugs.debian.org>
Subject: gcc-4.6: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Thu, 29 Sep 2011 14:30:33 +0100
severity 637236 important
thanks

It appears that gcc-4.6 4.6.1-13 built successfully on the buildd, 
fano.d.o. Downgrading this bug so gcc-4.6 can migrate to testing.

However the buildd logs contain a disturbing history of failures, 
retries and eventual successes:

4.6.1-13 OK on fano
         FTBFS on fasch
         FTBFS on fasch
         FTBFS on fano

4.6.1-12 OK on fano

4.6.1-11 OK on fasch
         FTBFS on fasch
         FTBFS on fano

4.6.1-10 OK on fasch
         FTBFS on fasch

4.6.1-9  OK on fasch
         FTBFS on fasch
         FTBFS on fasch
         FTBFS on fano

etc.

I would very much like to understand the changes on both buildd 
machines that allow the package to build, or cause it to FTBFS.

-- 
Ludovic Brenta.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Fri, 30 Sep 2011 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 30 Sep 2011 07:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 637236@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 637236@bugs.debian.org
Subject: kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Fri, 30 Sep 2011 09:25:05 +0200 (CEST)
I am unable to get the failure neither on my PC,
neither on asdfasdf.d.n

Would be possible to disable parallel
build of gcc-4.6/gcj-4.6/gnat-4.6 on kfreebsd(-amd64) ?

That way we could at least compare failing and working build log.

And may be do DD uploads from i386 to test also linux-amd64 buildds.
It looks like, from 4.6 series, there have been only one non-amd64 
upload - gnat 4.6.1-4.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Sat, 29 Oct 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 29 Oct 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #42 received at 637236@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>
Cc: debian-bsd@lists.debian.org, 637236@bugs.debian.org
Subject: Re: gcc-4.6/gcj-4.6 build failures on kfreebsd-amd64 are back again
Date: Sat, 29 Oct 2011 16:15:18 +0200
2011/10/29 Ludovic Brenta <ludovic@ludovic-brenta.org>:
> Robert Millan <rmh@debian.org> writes:
>> 2011/10/27 Matthias Klose <doko@debian.org>:
>>> looks like bug #637236 is back again. is this a buildd issue again?
>>> can the package be built locally?
>>
>> The #637236 log suggests that the problem is likely to be a race
>> condition.  About one month ago, Petr asked [1] if parallel build
>> could be disabled. In the bug log this question remains unanswered.
>>
>> Could parallel build be disabled, either unconditionally or
>> specifically for (kfreebsd-)amd64?
>>
>> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=637236#37
>
> Matthias tried to disable parallel builds on kfreebsd-*:
>
> ifneq (,$(filter $(DEB_TARGET_ARCH), kfreebsd-amd64 kfreebsd-i386))
>  USE_NJOBS = no
> endif
>
> but it looks like the DEB_BUILD_OPTIONS on fano overrode him:
>
> # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
> ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
>  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
> endif
>
> The package FTBFS on fano (the kfreebsd-amd64 buildd).
>
> As Matthias is travelling, I'll try to upload 4.6.1-3 this weekend.

Cool, thanks!

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Sun, 30 Oct 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 30 Oct 2011 21:45:05 GMT) Full text and rfc822 format available.

Message #47 received at 637236@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: Robert Millan <rmh@debian.org>
Cc: 637236@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#637236: gcc-4.6/gcj-4.6 build failures on kfreebsd-amd64 are back again
Date: Sun, 30 Oct 2011 22:43:03 +0100
Robert Millan <rmh@debian.org> writes:
>> Matthias tried to disable parallel builds on kfreebsd-*:
>>
>> ifneq (,$(filter $(DEB_TARGET_ARCH), kfreebsd-amd64 kfreebsd-i386))
>>  USE_NJOBS = no
>> endif
>>
>> but it looks like the DEB_BUILD_OPTIONS on fano overrode him:
>>
>> # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
>> ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
>>  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
>> endif
>>
>> The package FTBFS on fano (the kfreebsd-amd64 buildd).
>>
>> As Matthias is travelling, I'll try to upload 4.6.1-3 this weekend.
>
> Cool, thanks!

The build on fano failed again despite using only one job :(

At this point I'll have to leave it to kFreeBSD porters to find the real
cause.  There must be a difference between the buildds and
asdfasdf.debian.net.

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Mon, 31 Oct 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 31 Oct 2011 11:36:11 GMT) Full text and rfc822 format available.

Message #52 received at 637236@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 637236@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#637236: gcc-4.6/gcj-4.6 build failures on kfreebsd-amd64 are back again
Date: Mon, 31 Oct 2011 12:33:40 +0100
On Sun, Oct 30, 2011 at 10:43:03PM +0100, Ludovic Brenta wrote:
> Robert Millan <rmh@debian.org> writes:
> >> Matthias tried to disable parallel builds on kfreebsd-*:
> >>
> >> ifneq (,$(filter $(DEB_TARGET_ARCH), kfreebsd-amd64 kfreebsd-i386))
> >>  USE_NJOBS = no
> >> endif
> >>
> >> but it looks like the DEB_BUILD_OPTIONS on fano overrode him:
> >>
> >> # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
> >> ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
> >>  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
> >> endif
> >>
> >> The package FTBFS on fano (the kfreebsd-amd64 buildd).
> >>
> >> As Matthias is travelling, I'll try to upload 4.6.1-3 this weekend.
> >
> > Cool, thanks!
> 
> The build on fano failed again despite using only one job :(

It was expected, but at least it allows to compare the build logs more
easily.

> At this point I'll have to leave it to kFreeBSD porters to find the real
> cause.  There must be a difference between the buildds and
> asdfasdf.debian.net.

It's worse than that, gcc-4.6 builds fine in the build daemon if the
build is done directly in the chroot or started directly by calling
sbuild. The problem only appears when the buildd process calls sbuild,
which makes things difficult to debug.

The next step is probably to do the next source uploads with another
architecture than amd64, to see if the problem is reproducible on the
amd64 build daemon.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Mon, 31 Oct 2011 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 31 Oct 2011 16:12:03 GMT) Full text and rfc822 format available.

Message #57 received at 637236@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Ludovic Brenta <ludovic@ludovic-brenta.org>, 637236@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#637236: gcc-4.6/gcj-4.6 build failures on kfreebsd-amd64 are back again
Date: Mon, 31 Oct 2011 17:09:18 +0100
2011/10/31 Aurelien Jarno <aurelien@aurel32.net>:
> The next step is probably to do the next source uploads with another
> architecture than amd64, to see if the problem is reproducible on the
> amd64 build daemon.

It's already been, see:

https://buildd.debian.org/status/logs.php?pkg=gcc-4.6&arch=amd64

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Fri, 04 Nov 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 04 Nov 2011 22:57:04 GMT) Full text and rfc822 format available.

Message #62 received at 637236@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: Ludovic Brenta <ludovic@ludovic-brenta.org>, 637236@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#637236: gcc-4.6/gcj-4.6 build failures on kfreebsd-amd64 are back again
Date: Fri, 4 Nov 2011 23:53:47 +0100
2011/10/31 Aurelien Jarno <aurelien@aurel32.net>:
> It's worse than that, gcc-4.6 builds fine in the build daemon if the
> build is done directly in the chroot or started directly by calling
> sbuild. The problem only appears when the buildd process calls sbuild,
> which makes things difficult to debug.

Maybe something in the environment triggers it.  How about adding a
call to "env" command to fill the build log with?

-- 
Robert Millan




Forcibly Merged 637236 649307. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 22:39:13 GMT) Full text and rfc822 format available.

Added indication that 637236 affects gnat-4.6 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 23:09:17 GMT) Full text and rfc822 format available.

Added indication that 637236 affects src:gnat-4.6 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 23:15:03 GMT) Full text and rfc822 format available.

Added indication that 637236 affects gcc-mingw-w64 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 23:15:08 GMT) Full text and rfc822 format available.

Added indication that 637236 affects src:gcc-mingw-w64 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 23:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Sun, 18 Dec 2011 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 18 Dec 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #77 received at 637236@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 637236@bugs.debian.org
Subject: gcc / kfreebsd-amd64
Date: Sun, 18 Dec 2011 21:53:13 +0100
Hi!

  Just for the record/buglog: I've been filtering the env down to
smething really minimalistic already which didn't change anything. Also
parallel builds on the buildds do work if started by hand.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Tue, 12 Jun 2012 00:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 12 Jun 2012 00:15:05 GMT) Full text and rfc822 format available.

Message #82 received at 637236@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 637236@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Tue, 12 Jun 2012 01:14:06 +0100
found 637236 4.6.3-7
thanks

Hi,

Just noting that this bug still happened recently.  A consecutive
failure/success on the same buildd.  Best keep an eye on it for a while
longer.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Mon, 27 Aug 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 27 Aug 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #87 received at 637236@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 637236@bugs.debian.org
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Mon, 27 Aug 2012 07:56:11 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Jun 12, 2012 at 01:14:06AM +0100, Steven Chamberlain wrote:
> Just noting that this bug still happened recently.  A consecutive
> failure/success on the same buildd.  Best keep an eye on it for a while
> longer.

It also happens a lot on gcc-mingw-w64 builds - see
https://buildd.debian.org/status/logs.php?pkg=gcc-mingw-w64&arch=kfreebsd-amd64
for the details. The last failure was yesterday...

Regards,

Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Sun, 02 Sep 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 02 Sep 2012 21:12:03 GMT) Full text and rfc822 format available.

Message #92 received at 637236@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: kfreebsd-amd64@buildd.debian.org
Cc: 637236@bugs.debian.org
Subject: gcc-mingw-w64 FTBFS on kfreebsd-amd64 (the gengtype.c problem)
Date: Sun, 2 Sep 2012 23:08:27 +0200
[Message part 1 (text/plain, inline)]
Hi,

The wanna-build team suggested I contact you regarding the
gcc-mingw-w64 build failures on kfreebsd-amd64, rather than just
giving back the package until it happens to build correctly. It's
failing because of the gengtype.c error, tracked on #637236.

Is there anything that can be done? I suppose now that gcc-4.7 is the
default, there isn't much point in fixing the gcc-4.6 builds, but I
would like to get gcc-mingw-w64 7 into wheezy. An alternative of
course would be to remove the mingw-w64 toolchain from kfreebsd-amd64,
and that may well be the more sensible approach!

Thanks in advance,

Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Mon, 03 Sep 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 03 Sep 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #97 received at 637236@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Stephen Kitt <steve@sk2.org>
Cc: kfreebsd-amd64@buildd.debian.org, 637236@bugs.debian.org
Subject: Re: gcc-mingw-w64 FTBFS on kfreebsd-amd64 (the gengtype.c problem)
Date: Sun, 02 Sep 2012 18:41:14 -0700
Hi!

Stephen Kitt <steve@sk2.org> writes:
> Is there anything that can be done? I suppose now that gcc-4.7 is the
> default, there isn't much point in fixing the gcc-4.6 builds, but I
> would like to get gcc-mingw-w64 7 into wheezy. An alternative of
> course would be to remove the mingw-w64 toolchain from kfreebsd-amd64,
> and that may well be the more sensible approach!

I just gave it the treatment I also do for g*-4.6 packages and it should
get accepted in a minute. Lost some track of these builds since the
freeze. Feel free to ping if this is a problem again!

Regards

    Christoph



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Mon, 03 Sep 2012 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 03 Sep 2012 05:33:03 GMT) Full text and rfc822 format available.

Message #102 received at 637236@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Christoph Egger <christoph@debian.org>
Cc: kfreebsd-amd64@buildd.debian.org, 637236@bugs.debian.org
Subject: Re: gcc-mingw-w64 FTBFS on kfreebsd-amd64 (the gengtype.c problem)
Date: Mon, 3 Sep 2012 07:29:17 +0200
Hi Christoph,

On Sun, Sep 02, 2012 at 06:41:14PM -0700, Christoph Egger wrote:
> Stephen Kitt <steve@sk2.org> writes:
> > Is there anything that can be done? I suppose now that gcc-4.7 is the
> > default, there isn't much point in fixing the gcc-4.6 builds, but I
> > would like to get gcc-mingw-w64 7 into wheezy. An alternative of
> > course would be to remove the mingw-w64 toolchain from kfreebsd-amd64,
> > and that may well be the more sensible approach!
> 
> I just gave it the treatment I also do for g*-4.6 packages and it should
> get accepted in a minute. Lost some track of these builds since the
> freeze. Feel free to ping if this is a problem again!

Fantastic, thank you very much!

Regards,

Stephen



Removed indication that bug 637236 blocks 637809 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 14:27:06 GMT) Full text and rfc822 format available.

Removed indication that 637236 affects src:gnat-4.6, gnat-4.6, src:gcc-mingw-w64, and gcc-mingw-w64 Added indication that 637236 affects src:gnat-4.6,gnat-4.6,gcc-mingw-w64,src:gcc-mingw-w64 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 14:45:10 GMT) Full text and rfc822 format available.

Merged 637236 649307 683004 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 14:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Sun, 07 Oct 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 07 Oct 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #113 received at 637236@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 637236@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Sun, 07 Oct 2012 17:29:51 +0100
Hi,

The Internal error: abort in get_output_file_with_visibility, at
gengtype.c:1998, seen sometimes on kFreeBSD, seems to be here:

> err = regcomp (files_rules[rulix].frul_re,
>                files_rules[rulix].frul_srcexpr,
>                files_rules[rulix].frul_rflags);
> if (err)
>   {
>     /* The regular expression compilation fails only when
>        file_rules is buggy.  */
>     gcc_unreachable ();

So it seems to fail to compile a regex, but apparently not always.
Unfortunately we can't see the return value / error (and nobody could
reproduce this yet outside of the buildds), but I guess an error that
might happen only _sometimes_ is REG_ESPACE (The regex routines ran out
of memory).

This happens inside of a loop, so maybe something is exhausting
resources and leaving too little memory for when some unused-yet regex
needs to be compiled?  A new obstack is created on each iteration but
they were not being properly freed until this commit (fixing it in GCC
4.7.0, but not in GCC 4.6.3) :

http://gcc.gnu.org/viewcvs?view=revision&revision=172832

So I guess that could be worth a try?


Also in another commit I noticed a change that might be important when
multiple jobs are running (though this doesn't seem to be the situation
yet for gcc-4.6 on kFreeBSD) :

http://gcc.gnu.org/viewcvs/trunk/gcc/Makefile.in?r1=177358&r2=177357&pathrev=177358

Specifically this part:

@@ -3853,9 +3862,10 @@
 	 gtyp-input.list
 # First, parse all files and save a state file.
 	$(RUN_GEN) build/gengtype$(build_exeext) $(GENGTYPE_FLAGS) \
-                    -S $(srcdir) -I gtyp-input.list -w gtype.state
+                    -S $(srcdir) -I gtyp-input.list -w tmp-gtype.state
 # Second, read the state file and generate all files.  This ensure that
 # gtype.state is correctly read:
+	$(SHELL) $(srcdir)/../move-if-change tmp-gtype.state gtype.state
 	$(RUN_GEN) build/gengtype$(build_exeext) $(GENGTYPE_FLAGS) \
                     -r gtype.state
 	$(STAMP) s-gtype

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#637236; Package src:gcc-4.6. (Sun, 07 Oct 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 07 Oct 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #118 received at 637236@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 637236@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Mon, 08 Oct 2012 01:47:04 +0200
On 07.10.2012 18:29, Steven Chamberlain wrote:
> Hi,
> 
> The Internal error: abort in get_output_file_with_visibility, at
> gengtype.c:1998, seen sometimes on kFreeBSD, seems to be here:

[...]

checked in both changes. will wait until -11 migrates, or if not, upload -12 to
unstable.

thanks, Matthias




Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Tue, 16 Oct 2012 14:03:08 GMT) Full text and rfc822 format available.

Notification sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Bug acknowledged by developer. (Tue, 16 Oct 2012 14:03:08 GMT) Full text and rfc822 format available.

Message #123 received at 637236-done@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 637236-done@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#637236: FTBFS on kfreebsd-amd64: gengtype: Internal error: abort in get_output_file_with_visibility, at gengtype.c:1998
Date: Tue, 16 Oct 2012 14:59:43 +0100
Version: 4.6.3-12

On 08/10/12 00:47, Matthias Klose wrote:
> On 07.10.2012 18:29, Steven Chamberlain wrote:
>> The Internal error: abort in get_output_file_with_visibility, at
>> gengtype.c:1998, seen sometimes on kFreeBSD, seems to be here:
> 
> [...]
> 
> checked in both changes. will wait until -11 migrates, or if not, upload -12 to
> unstable.

Hi Matthias,

Many thanks for including those changes in the -12 upload.  It built on
kfreebsd-amd64 this time on its first attempt, so hopefully it has
worked.  I think we can assume for now the problem is fixed, unless it
is seen to come back again (or if anyone manages to reproduce it
elsewhere than on the buildds).

This build was also notably faster (which figures, if the problem was
due to resources being leaked).  Curiously it built faster on most
arches (in 15-50% less time), compared to each previous build on the
same buildd.

Thanks again,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Tue, 16 Oct 2012 14:03:08 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Tue, 16 Oct 2012 14:03:08 GMT) Full text and rfc822 format available.

Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Tue, 16 Oct 2012 14:03:09 GMT) Full text and rfc822 format available.

Notification sent to Luca Falavigna <dktrkranz@debian.org>:
Bug acknowledged by developer. (Tue, 16 Oct 2012 14:03:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jan 2013 07:25:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:16:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.